From: =?utf-8?q?G=C3=B6ran_Weinholt?= <goran@weinholt.se>
Date: Sat, 7 Nov 2020 19:53:37 +0100
Subject: Fix SRFI-175 tests

---
 tests/ascii.sps | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/ascii.sps b/tests/ascii.sps
index dd53aa7..185177b 100644
--- a/tests/ascii.sps
+++ b/tests/ascii.sps
@@ -74,7 +74,7 @@
                              (want #t (ascii-non-control? cc))
                              (want #f (ascii-other-graphic? cc))
                              (want #f (ascii-control? cc))
-                             (want #f (ascii-numeric? cc 10))
+                             (want #f (ascii-numeric? cc))
                              (want #f (ascii-whitespace? cc))
                              (want #f (ascii-space-or-tab? cc)))
      ((ascii-control? cc) (want #f (ascii-non-control? cc))
@@ -170,7 +170,7 @@
   (let check ((cc 0))
     (or (fx=? cc 128)
         (and (fx<=? (count-matching predicates cc) 1) (check (fx+ cc 1))))))
-(define (decimal-numeric? x) (ascii-numeric? x 10))
+(define (decimal-numeric? x) (ascii-numeric? x))
 (want #t (union? ascii-alphanumeric? ascii-alphabetic? decimal-numeric?))
 (want #t (union? ascii-alphabetic? ascii-upper-case? ascii-lower-case?))
 (want #t (subset? ascii-space-or-tab? ascii-whitespace?))
